package cn.rankin.cmsweb.configuration;

import cn.rankin.common.utils.enums.OrderStatusEnum;
import com.sun.beans.editors.EnumEditor;
import feign.RequestInterceptor;
import feign.RequestTemplate;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.bind.WebDataBinder;
import org.springframework.web.bind.support.WebBindingInitializer;
import org.springframework.web.context.request.WebRequest;

@Slf4j
@Configuration
public class FeignConfiguration {

    public static class ContentTypeInterceptor implements RequestInterceptor {
        @Override
        public void apply(RequestTemplate template) {
            template.header("Content-Type", "application/json");
        }
    }

    @Bean
    public ContentTypeInterceptor contentTypeInterceptor() {
        return new ContentTypeInterceptor();
    }
}
