package cn.rankin.task.task.order;

import cn.rankin.common.utils.api.model.APIResult;
import cn.rankin.data.api.trade.entity.UserOrder;
import cn.rankin.data.api.trade.entity.UserOrderSplit;
import cn.rankin.task.service.TradeService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.List;

@Slf4j
@Component
public class OrderSplitTask {

    public final static long ONE_MINUTE = 10 * 1000;

    public final static Integer SIZE = 100;

    @Autowired
    private TradeService tradeService;

    @Scheduled(fixedDelay = ONE_MINUTE)
    public void run() {
        List<UserOrder> userOrderList = loadOrder(SIZE);

    }

    // 取订单
    public List<UserOrder> loadOrder(Integer limit) {
        APIResult<List<UserOrder>> apiResult = tradeService.findPayList(limit);
        if (!apiResult.getSuccess()) {
            log.error("load order error: %s", apiResult.getMessage());
            return null;
        }
        return apiResult.getData();
    }

    // 分拆
    public List<UserOrderSplit> splitOrder(List<UserOrder> userOrderList) {
        return null;
    }

    // 保存
}
